Skip to main content
POST
/
teams
/
{id}
/
webhooks
/
events
Send team inbound event
curl --request POST \
  --url https://bugzy.ai/api/v1/teams/{id}/webhooks/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event_type": "test_results.received",
  "provider": "generic",
  "connection_id": "generic-team-connection",
  "id": "<string>",
  "source": "<string>",
  "subject": "<string>",
  "time": "2023-11-07T05:31:56Z",
  "metadata": {},
  "data": {},
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'

Authorizations

Authorization
string
header
required

Project API key (bzy_proj_) for project routes or team API key (bzy_team_) for selected team routes.

Path Parameters

id
string<uuid>
required

Body

application/json
event_type
string
required
Example:

"test_results.received"

provider
string
default:generic
Example:

"generic"

connection_id
string
Example:

"generic-team-connection"

id
string

Optional event id. Generated when omitted.

source
string

Optional CloudEvents source. Defaults to provider://teamId.

subject
string
time
string<date-time>
metadata
object
data
object
project_id
string<uuid>

Optional project id for project-scoped event triggers.

Response

200

Event accepted, dispatched, or filtered by matching automations/triggers